VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::ovf::LibraryItemTypes::CreateSpec Class Reference

The `LibraryItem.CreateSpec` class defines the information used to create or update a library item containing an OVF package. More...

List of all members.

## Public Member Functions
| CreateSpec ()
| Creates a default new instance.
string | GetName ()
| Name to use in the OVF descriptor stored in the library item.
void | SetName (string name)
| Name to use in the OVF descriptor stored in the library item.
string | GetDescription ()
| Description to use in the OVF descriptor stored in the library item.
void | SetDescription (string description)
| Description to use in the OVF descriptor stored in the library item.
global::System.Collections.Generic.List < string > | GetFlags ()
| Flags to use for OVF package creation.
void | SetFlags (global::System.Collections.Generic.List< string > flags)
| Flags to use for OVF package creation.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `LibraryItem.CreateSpec` class defines the information used to create or update a library item containing an OVF package.

## Constructor & Destructor Documentation

vmware::vcenter::ovf::LibraryItemTypes::CreateSpec::CreateSpec | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::ovf::LibraryItemTypes::CreateSpec::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::ovf::LibraryItemTypes::CreateSpec::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::ovf::LibraryItemTypes::CreateSpec::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::ovf::LibraryItemTypes::CreateSpec::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::ovf::LibraryItemTypes::CreateSpec::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::ovf::LibraryItemTypes::CreateSpec::Equals | ( | object | obj | ) | `[inline]`

string vmware::vcenter::ovf::LibraryItemTypes::CreateSpec::GetDescription | ( |  | ) | `[inline]`

Description to use in the OVF descriptor stored in the library item.

global::System.Collections.Generic.List<string> vmware::vcenter::ovf::LibraryItemTypes::CreateSpec::GetFlags | ( |  | ) | `[inline]`

Flags to use for OVF package creation.

The supported flags can be obtained using ExportFlag.List .

override int vmware::vcenter::ovf::LibraryItemTypes::CreateSpec::GetHashCode | ( |  | ) | `[inline]`

string vmware::vcenter::ovf::LibraryItemTypes::CreateSpec::GetName | ( |  | ) | `[inline]`

Name to use in the OVF descriptor stored in the library item.

void vmware::vcenter::ovf::LibraryItemTypes::CreateSpec::SetDescription | ( | string | description | ) | `[inline]`

Description to use in the OVF descriptor stored in the library item.

void vmware::vcenter::ovf::LibraryItemTypes::CreateSpec::SetFlags | ( | global::System.Collections.Generic.List< string > | flags | ) | `[inline]`

Flags to use for OVF package creation.

The supported flags can be obtained using ExportFlag.List .

void vmware::vcenter::ovf::LibraryItemTypes::CreateSpec::SetName | ( | string | name | ) | `[inline]`

Name to use in the OVF descriptor stored in the library item.

override string vmware::vcenter::ovf::LibraryItemTypes::CreateSpec::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- LibraryItemTypes.cs